| Home | Libraries | People | FAQ | More

## Struct template inplace_min

boost::icl::inplace_min

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_min :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef inplace_min< Type > type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inplace_min` public member functions

1.     void operator()(Type & object, const Type & operand) const;